package net.metaunix.controllers;

import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.util.Duration;


import net.metaunix.SysInfo;
import net.metaunix.services.UpdateSystemInfoService;

public class HomeController {

  @FXML
  private Label osInfo;

  @FXML
  public void initialize() {
    UpdateSystemInfoService usis = new UpdateSystemInfoService();
    usis.setOnSucceeded((e) -> {
      updateLabels();
    });
    usis.setPeriod(Duration.seconds(3));
    usis.start();
  }

  private void updateLabels() {
    osInfo.setText(SysInfo.osString);
  }

}
